Loading...
Searching...
No Matches
casacore::Array< T >::IteratorSTL Class Reference

`#include <Array.h>`

## Public Types

typedef T | value_type
typedef value_type * | pointer
typedef value_type & | reference
typedef std::size_t | size_type
typedef ptrdiff_t | difference_type
typedef std::forward_iterator_tag | iterator_category

## Public Member Functions

| IteratorSTL (Array< T > &arr)
| Create the begin iterator object for an Array.
| IteratorSTL (const T *end=0)
| Create the end iterator object for an Array.
const IteratorSTL & | operator++ ()
IteratorSTL | operator++ (int)
T & | operator* ()
T * | operator-> ()
Public Member Functions inherited from casacore::Array< T >::BaseIteratorSTL
| BaseIteratorSTL (const Array< T > &)
| Create the begin const_iterator object for an Array.
| BaseIteratorSTL (const T *end=0)
| Create the end const_iterator object for an Array.
void | nextElem ()
void | nextLine ()
bool | operator== (const BaseIteratorSTL &other) const
bool | operator!= (const BaseIteratorSTL &other) const
T * | getPos ()

## Additional Inherited Members

Protected Member Functions inherited from casacore::Array< T >::BaseIteratorSTL
void | increment ()
| Increment iterator for a non-contiguous array.
Protected Attributes inherited from casacore::Array< T >::BaseIteratorSTL
const T * | itsPos
const T * | itsLineEnd
size_t | itsLineIncr
size_t | itsLineAxis
IPosition | itsCurPos
IPosition | itsLastPos
const Array< T > * | itsArray
bool | itsContig

## Detailed Description

template<typename T>
class casacore::Array< T >::IteratorSTL

Definition at line 719 of file Array.h.

## Member Typedef Documentation

## difference_type

template<typename T>

typedef ptrdiff_t casacore::Array< T >::IteratorSTL::difference_type

Definition at line 728 of file Array.h.

## iterator_category

template<typename T>

typedef std::forward_iterator_tag casacore::Array< T >::IteratorSTL::iterator_category

Definition at line 729 of file Array.h.

## pointer

template<typename T>

typedef value_type* casacore::Array< T >::IteratorSTL::pointer

Definition at line 725 of file Array.h.

## reference

template<typename T>

typedef value_type& casacore::Array< T >::IteratorSTL::reference

Definition at line 726 of file Array.h.

## size_type

template<typename T>

typedef std::size_t casacore::Array< T >::IteratorSTL::size_type

Definition at line 727 of file Array.h.

## value_type

template<typename T>

typedef T casacore::Array< T >::IteratorSTL::value_type

Definition at line 724 of file Array.h.

## Constructor & Destructor Documentation

## IteratorSTL() [1/2]

template<typename T>

casacore::Array< T >::IteratorSTL::IteratorSTL | ( | Array< T > & | arr | ) |

inline explicit

Create the begin iterator object for an Array.

Definition at line 732 of file Array.h.

References casacore::Array< T >::Array(), and casacore::Array< T >::BaseIteratorSTL::BaseIteratorSTL().

Referenced by operator++(), and operator++().

## IteratorSTL() [2/2]

template<typename T>

casacore::Array< T >::IteratorSTL::IteratorSTL | ( | const T * | end = 0 | ) |

inline explicit

Create the end iterator object for an Array.

It also acts as the default constructor.

Definition at line 736 of file Array.h.

References casacore::Array< T >::BaseIteratorSTL::BaseIteratorSTL(), and casacore::Array< T >::end().

## Member Function Documentation

## operator*()

template<typename T>

T & casacore::Array< T >::IteratorSTL::operator* | ( |  | ) |

inline

Definition at line 751 of file Array.h.

References casacore::Array< T >::BaseIteratorSTL::getPos().

## operator++() [1/2]

template<typename T>

const IteratorSTL & casacore::Array< T >::IteratorSTL::operator++ | ( |  | ) |

inline

Definition at line 739 of file Array.h.

References IteratorSTL(), and casacore::Array< T >::BaseIteratorSTL::nextElem().

## operator++() [2/2]

template<typename T>

IteratorSTL casacore::Array< T >::IteratorSTL::operator++ | ( | int |  | ) |

inline

Definition at line 744 of file Array.h.

References IteratorSTL(), and casacore::Array< T >::BaseIteratorSTL::nextElem().

## operator->()

template<typename T>

T * casacore::Array< T >::IteratorSTL::operator-> | ( |  | ) |

inline

Definition at line 753 of file Array.h.

References casacore::Array< T >::BaseIteratorSTL::getPos().

The documentation for this class was generated from the following file:

- casa/Arrays/Array.h